aboutsummaryrefslogtreecommitdiff
path: root/arch/x86/entry/vdso/checkundef.sh
diff options
context:
space:
mode:
Diffstat (limited to 'arch/x86/entry/vdso/checkundef.sh')
-rwxr-xr-xarch/x86/entry/vdso/checkundef.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/arch/x86/entry/vdso/checkundef.sh b/arch/x86/entry/vdso/checkundef.sh
new file mode 100755
index 000000000000..7ee90a9b549d
--- /dev/null
+++ b/arch/x86/entry/vdso/checkundef.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+nm="$1"
+file="$2"
+$nm "$file" | grep '^ *U' > /dev/null 2>&1
+if [ $? -eq 1 ]; then
+ exit 0
+else
+ echo "$file: undefined symbols found" >&2
+ exit 1
+fi